using System;

using CommonTypes;

namespace Server
{
	/// <summary>
	/// Summary description for ServerMgr.
	/// </summary>
	public class ServerMgr : System.MarshalByRefObject
	{
		private int counter = 0 ;
		public ServerMgr()
		{
			Console.WriteLine( "ServerMgr.ServerMgr() called" );
		}

		public int GetCount()
		{
			counter++;
			if ( counter > 2 )
			{
				throw new Exception( "Counter can't exceed 2!" );
			}
			return counter;
		}

		public Counter GetCounterObject()
		{
			return new Counter();
		}
	}
}
